public class Square
{
    public void callByVal(int x)
    {
        x = x * x;
    }

    public void callByRef(ref int x)
    {
        x = x * x;
    }

    public void callByOut(out int x)
    {
        x = 3;
        x = x * x;
    }
}

